package cn.estsh.i3plus.ext.mes.pcn.api.base.jx;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesBadnessClassifyDetail;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiOperation;

/**
 * @author xinwang.yi
 * @version 1.0
 * @date 2022/6/7 09:20
 **/
public interface IJxBadnessClassifyDetailService {

    /**
     * 分页查询不良分类明细
     *
     * @param sxQmsBadnessClassifyDetail 查询条件
     * @param pager 分页条件
     * @return 不良分类明细分页数据
     */
    @ApiOperation(value = "分页查询不良分类明细", notes = "分页查询不良分类明细")
    ListPager<MesBadnessClassifyDetail> queryBadnessClassifyDetailPager(MesBadnessClassifyDetail sxQmsBadnessClassifyDetail, Pager pager);
}
