package cn.estsh.i3plus.ext.mes.pcn.api.base.jx;

import cn.estsh.i3plus.ext.mes.pcn.pojo.bean.MesTimeSegmentStatistics;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/18 11:22 上午
 * @Description:
 **/
public interface IJxTimeSegmentStatisticsService {

    /**
     * 根据生产线代码,班次代码查询分时段统计方式信息
     * @param organizeCode 组织代码
     * @param workCenterCode 生产线代码
     * @param shiftCode 班次代码
     * @return 分时段统计方式信息
     */
    @ApiOperation(value = "根据生产线代码,班次代码查询分时段统计方式信息", notes = "根据生产线代码,班次代码查询分时段统计方式信息")
    List<MesTimeSegmentStatistics> getTimeSegmentStatisticsListByShiftCode(String organizeCode, String workCenterCode, String shiftCode);

}
